Bug 1126495 - Graphs fail to render with 'java.lang.IllegalArgumentException: lowValue' in log
Summary: Graphs fail to render with 'java.lang.IllegalArgumentException: lowValue' in log
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Monitoring -- Other, UI
Version: JON 3.2
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ER01
: JON 3.3.0
Assignee: John Sanda
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords: NeedsTestCase, Regression, Reopened, Triaged
Depends On: 1126500 1110462
Blocks: 1099708
TreeView+ depends on / blocked
 
Reported: 2014-08-04 15:12 UTC by John Sanda
Modified: 2018-12-06 17:35 UTC (History)
7 users (show)

(edit)
An issue with late measurement reports caused no graph to be displayed and metrics were unable to be displayed. A lowValue IllegalArgumentException was also generated. A fix to how invalid metrics are handled is now implemented, which fixes the originally-reported issue.
Clone Of: 1110462
(edit)
Last Closed: 2014-12-11 14:04:00 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1119363 None None None Never

Comment 1 John Sanda 2014-08-04 16:01:02 UTC
I have added logic to InvalidMetricsManager to treat aggregate metrics having a value of Double.NaN as invalid. Work has been committed/pushed to the release/jon3.3.x branch.

commit hash: ac5267111b

Comment 2 Simeon Pinder 2014-08-19 23:50:34 UTC
Moving to ON_QA as available to test in the following brew build:

https://brewweb.devel.redhat.com//buildinfo?buildID=379025


Note You need to log in before you can comment on or make changes to this bug.